package com.sw.mes.yb.turnstore.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.turnstore.entity.TurnstoreOut;
import com.sw.mes.yb.turnstore.entity.TurnstoreOutItem;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface TurnstoreOutService extends BaseService<TurnstoreOut> {
    void createOut(TurnstoreOut turnstoreOut, List<TurnstoreOutItem> items);
    void updateOut(TurnstoreOut turnstoreOut, List<TurnstoreOutItem> items);
    void deleteOut(Integer id);
    void backOut(Integer id, String userName);
    void confirmOut(Integer id, String userName);
    void outBySectionNos(List<String> list);
}
